<?php

namespace App\Http\Controllers\Yonetim;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use App\Models\IstatistikModel;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use RealRashid\SweetAlert\Facades\Alert;

class MailController extends Controller
{
    public function ContactMessage(){

        $veriler= Contact::latest()->get();
        return view('yonetim.gelenmailler.gelenmailler',compact('veriler'));

    } // end mehtod

    public function ContactDetails($id){

        $veriler= Contact::findOrFail($id);
        return view('yonetim.gelenmailler.maildetay',compact('veriler'));

    } // end mehtod




    public function DeleteMessage($id){


        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {
            Contact::findOrFail($id)->delete();

            $gelenmail=IstatistikModel::find(1,'gelenmail');
            IstatistikModel::find(1)->update([
                'gelenmail' => $gelenmail->gelenmail-1,
                'updated_at' => Carbon::now(),
            ]);


            return redirect()->route('contact.all')->with('success','Veri Silindi');
        }
        else{
            return redirect()->route('contact.all')->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }





    } // end mehtod
}
